# Inscriptions

> It is inspired by the BRC-20 protocol on Ordinals and has extended the functionality to auditable points in addition to introducing inscriptions on Hedera / Hashinals.

{% hint style="warning" %}
This feature is considered to be in an **Alpha** state, and that any code may change at anytime. We may additionally update this documentation to reflect the updated standards for dealing with this meta-protocol.

But due to the low-cost nature of HCS there is lower overhead to rectify issues.

Use at your own risk but have fun.
{% endhint %}

On **mainnet e**very inscription call may provide a custom topic for private usage but it will always default to the public topic of [0.0.4350190](https://hashscan.io/mainnet/topic/0.0.4350190).

These are the calls as follows:

### Deploy an Inscription

{% content-ref url="/pages/PdKgBGWYaO8bYGztXMmN" %}
[Deploy an Inscription](/rest-api/inscriptions/deploy-an-inscription.md)
{% endcontent-ref %}

### Mint an Inscription

{% content-ref url="/pages/9M79xAYIuepfa52pufQH" %}
[Mint an Inscription](/rest-api/inscriptions/mint-an-inscription.md)
{% endcontent-ref %}

### Burn an Inscription

{% content-ref url="/pages/xeeK5KZEaB2GFZ2u6b4H" %}
[Burn an Inscription](/rest-api/inscriptions/burn-an-inscription.md)
{% endcontent-ref %}

### Transfer an Inscription

{% content-ref url="/pages/F29QK9AtqoDNlZX9wca2" %}
[Transfer an Inscription](/rest-api/inscriptions/transfer-an-inscription.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trust.enterprises/rest-api/inscriptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
